Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.schedule
Class JobEntry

    java.lang.Object
      org.apache.torque.om.BaseObject
          org.apache.turbine.services.schedule.BaseJobEntry
              org.apache.turbine.services.schedule.JobEntry

All Implemented Interfaces:
  Serializable, org.apache.torque.om.Persistent

    public class JobEntry

extends BaseJobEntry
implements org.apache.torque.om.Persistent

The skeleton for this class was autogenerated by Torque on: [Mon Jan 24 20:11:00 CET 2011] You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.torque.om.BaseObject
`NEW_ID`

Constructor Summary
`JobEntry()` default constructor
`JobEntry(int sec, int min, int hour, int wd, int day_mo, String task)` Constuctor.

Method Summary
`void` | `calcRunTime()` Calculate how long before the next runtime.
`int` | `compareTo(Object je)` Used for ordering Jobentries Note: this comparator imposes orderings that are inconsistent with equals.
`String` | `getNextRunAsString()` Get the next runtime for this job as a String.
`Date` | `getNextRunDate()` Gets the next runtime as a date
`long` | `getNextRuntime()` Get the next runtime for this job as a long.
`boolean` | `isActive()` Check to see if job is currently active/running
`void` | `setActive(boolean isActive)` Sets whether the job is running.

Methods inherited from class org.apache.turbine.services.schedule.BaseJobEntry
`copy, copy, copy, copy, copyInto, copyInto, copyInto, copyInto, getByName, getByPeerName, getByPosition, getDayOfMonth, getEmail, getFieldNames, getHour, getJobId, getMinute, getPeer, getPrimaryKey, getProperty, getSecond, getTableMap, getTask, getWeekDay, save, save, save, setByName, setByPeerName, setByPosition, setDayOfMonth, setEmail, setHour, setJobId, setMinute, setPrimaryKey, setPrimaryKey, setProperty, setSecond, setTask, setWeekDay, toString`

Methods inherited from class org.apache.torque.om.BaseObject
`equals, equals, getLog, hashCode, isModified, isNew, resetModified, setModified, setNew, setPrimaryKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.torque.om.Persistent
`getPrimaryKey, isModified, isNew, save, save, save, setModified, setNew, setPrimaryKey, setPrimaryKey`

Constructor Detail

### JobEntry

    public JobEntry()

  default constructor

### JobEntry

    public JobEntry(int sec,
                    int min,
                    int hour,
                    int wd,
                    int day_mo,
                    String task)
             throws TurbineException

  Constuctor. Schedule a job to run on a certain point of time.
  Example 1: Run the DefaultScheduledJob at 8:00am every 15th of the month -
  JobEntry je = new JobEntry(0,0,8,15,"DefaultScheduledJob");
  Example 2: Run the DefaultScheduledJob at 8:00am every day -
  JobEntry je = new JobEntry(0,0,8,-1,"DefaultScheduledJob");
  Example 3: Run the DefaultScheduledJob every 2 hours. -
  JobEntry je = new JobEntry(0,120,-1,-1,"DefaultScheduledJob");
  Example 4: Run the DefaultScheduledJob every 30 seconds. -
  JobEntry je = new JobEntry(30,-1,-1,-1,"DefaultScheduledJob");

  Parameters:
    `sec` - Value for entry "seconds".
    `min` - Value for entry "minutes".
    `hour` - Value for entry "hours".
    `wd` - Value for entry "week days".
    `day_mo` - Value for entry "month days".
    `task` - Task to execute.
  Throws:
    `TurbineException` - a generic exception.

Method Detail

### compareTo

    public int compareTo(Object je)

  Used for ordering Jobentries Note: this comparator imposes orderings that are inconsistent with equals.

  Parameters:
    `je` - The first `JobEntry` object.
  Returns:
    An `int` indicating the result of the comparison.

### setActive

    public void setActive(boolean isActive)

  Sets whether the job is running.

  Parameters:
    `isActive` - Whether the job is running.

### isActive

    public boolean isActive()

  Check to see if job is currently active/running

  Returns:
    true if job is currently geing run by the workerthread, otherwise false

### getNextRuntime

    public long getNextRuntime()

  Get the next runtime for this job as a long.

  Returns:
    The next run time as a long.

### getNextRunDate

    public Date getNextRunDate()

  Gets the next runtime as a date

  Returns:
    Next run date

### getNextRunAsString

    public String getNextRunAsString()

  Get the next runtime for this job as a String.

  Returns:
    The next run time as a String.

### calcRunTime

    public void calcRunTime()
                     throws TurbineException

  Calculate how long before the next runtime.
  The runtime determines it's position in the job queue. Here's the logic:
  1. Create a date the represents when this job is to run.
  2. If this date has expired, them "roll" appropriate date fields forward to the next date.
  3. Calculate the diff in time between the current time and the next run time.

  Throws:
    `TurbineException` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.